<?php

/*
 * Plugin Name: Paygenius Hosted Payment Gateway
 * Plugin URI: https://developer.paygenius.co.za/
 * Description: Take payments on your store using Paygenius hosted interface.
 * Author: Methys Digital
 * Author URI: http://www.methys.com/digital
 * Version: 1.0.1
 * Text Domain: woocommerce-paygenius-redirect
 */
if (!defined('ABSPATH')) {
    exit;
}

// Initialize the plugin
add_action('plugins_loaded', 'init_paygenius_redirect');

/*
add_action('template_redirect', 'test_after_purchase_redirect');
function test_after_purchase_redirect() {
    global $wp;
    if(is_checkout() && !empty($wp->query_vars['order-received'])) {
        $order = new WC_Order($wp->query_vars['order-received']);

        wp_redirect(wc_get_checkout_url());
    }
}
*/

function init_paygenius_redirect() {
    require_once(__DIR__ . DIRECTORY_SEPARATOR . 'lib' . DIRECTORY_SEPARATOR . 'PayGenius' . DIRECTORY_SEPARATOR . 'WebClient.php');
    require_once(__DIR__ . DIRECTORY_SEPARATOR . 'lib' . DIRECTORY_SEPARATOR . 'WC_Paygenius_Redirect.php');

    add_filter('woocommerce_payment_gateways', 'add_paygenius_redirect');
}

function add_paygenius_redirect($methods) {
    $methods[] = 'WC_Paygenius_Redirect';

    return $methods;
}
